#include "prjlibs-c/standards.h"
#include <unistd.h>
#include <errno.h>

#include "skalibs/include/stddjb.h"
#include "prjlibs-c/constants.h"

void check_exit_exec(char** argv) {
  char const* arg=*argv;

  if (arg==null) _exit(0);

  if (str_equal(arg, ":")) {
    ++argv;
    pathexec0((char const**)argv);
    strerr_die5sys(errstat, PROG, err_unable, err_exec, argv[0], ": ");
  }
}
